gnutls_session_get_data2(3)

NAME
gnutls_session_get_data2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_data2(gnutls_session_t session, gnutls_datum_t * data);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t * data
    is a pointer to a datum that will hold the session.

DESCRIPTION
Returns all session parameters needed to be stored to support resumption. The client should call this, and store the returned session data. A session may be resumed later by calling gnutls_session_set_data(). This function must be called after a successful handshake. The returned data are allocated and must be released using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/